package com.fjhx.xmhjc.mapper.topic;

import com.fjhx.xmhjc.entity.topic.po.TopicContent;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.topic.vo.TopicContentVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 内容主题 Mapper 接口
 * </p>
 *
 * @author hj
 * @since 2023-11-20
 */
public interface TopicContentMapper extends BaseMapper<TopicContent> {

    /**
     * 内容主题列表
     */
    List<TopicContentVo> getList(@Param("ew") IWrapper<TopicContent> wrapper);

    /**
     * 内容主题分页
     */
    Page<TopicContentVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<TopicContent> wrapper);

}
