package com.fjhx.xmhjc.utils;

import com.fjhx.xmhjc.constants.LoginConstant;
import com.fjhx.xmhjc.entity.website.po.WebsiteUsers;
import com.ruoyi.common.core.redis.RedisCache;
import com.ruoyi.common.utils.ServletUtils;
import com.ruoyi.common.utils.spring.SpringUtils;

/**
 * @author hj
 * @date 2023年11月17日 10:31
 */
public class WebsiteUserUtil {
    private static RedisCache redisCache = SpringUtils.getBean(RedisCache.class);

    public static String getWebsiteUserToken() {
        String token = ServletUtils.getRequest().getHeader(LoginConstant.LONGIN_HEAD);
        return token;
    }


    public static WebsiteUsers getLoginWebsiteUser() {
        WebsiteUsers websiteUsers = redisCache.getCacheObject(LoginConstant.TOKEN_PREFIX+getWebsiteUserToken());
        return websiteUsers;
    }
}
